Skip to main content
GET
/
api
/
v2
/
platform
/
wished_items
/
{id}
Return a Wished Item
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('http://{defaultHost}/api/v2/platform/wished_items/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": {
    "id": "10",
    "type": "wished_item",
    "attributes": {
      "quantity": 1,
      "created_at": "2022-11-08T19:36:03.208Z",
      "updated_at": "2022-11-08T19:36:03.208Z",
      "display_total": "$19.99",
      "display_price": "$19.99",
      "price": "19.99",
      "total": "19.99"
    },
    "relationships": {
      "variant": {
        "data": {
          "id": "325",
          "type": "variant"
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

include
string

Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes

Response

Record found

data
object
required